Sign up ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems. It's 100% free, no registration required.

I followed the following manual how to compile Photivo on Sabayon:

graphicsmagick 16 bit

    wget -c
    tar xfvz GraphicsMagick-1.3.18.tar.gz
    ./configure --prefix=/home/mictadlo/apps/ --with-quantum-depth=16 --enable-shared --without-lcms
    make install


    sudo equo install mercurial
    hg clone
    qmake PREFIX=~/apps/ CONFIG+=WithGimp
    make install


    $ photivo
    Photivo version 2013-03-17 (rev 57519a52a791)
    Fontconfig error: Cannot load config file "infinality/conf.d"
    Fatal error: Wrong GraphicsMagick quantum depth!
    Found quantum depth 8. Photivo needs at least 16.

What did I do wrong?

Thank you in advance


share|improve this question
Why don't use emerge instead? graphicsmagick is in the repo IIRC – warl0ck Mar 25 '13 at 1:39
I thought it might break Sabayon, does it? Mean while I did it in the following way – user977828 Mar 25 '13 at 1:50
Try some other overlays – warl0ck Mar 25 '13 at 1:52
LDFLAGS= -Wl,-rpath,/home/user/path_to_lib/, -lsomelib – Charles Boyd Mar 25 '13 at 21:35
Don't tag you question with distro tags if you don't plan to use their means; that said, manual compilation is more likely to break stuff than using your distro properly. /etc/portage/package.env is your friend... – Tom Wijsman Apr 17 '13 at 7:51

Your Answer


By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.